com.brightcove.ssai.ad

## Enum Click.Type

- java.lang.Object
- - java.lang.Enum<Click.Type>
  - - com.brightcove.ssai.ad.Click.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Click.Type>
  Enclosing interface:
    Click

      public static enum Click.Type
      extends java.lang.Enum<Click.Type>

  The Creative Click Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK_THROUGH` Click through type.
    `CLICK_TRACKING` Click tracking type.
    `CUSTOM_CLICK` Custom click type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Click.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Click.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICK_THROUGH

          public static final Click.Type CLICK_THROUGH

      Click through type.

    - #### CLICK_TRACKING

          public static final Click.Type CLICK_TRACKING

      Click tracking type.

    - #### CUSTOM_CLICK

          public static final Click.Type CUSTOM_CLICK

      Custom click type.

  - ### Method Detail

    - #### values

          public static Click.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Click.Type c : Click.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Click.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null